<?php
//En este modelo se encuentran todas las consultas realizadas en la tabla de productosfranquicias y productosgenerales(Cosmetólogo)
class ProductoPublicoA_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }

    
     //Consulta que hace la busqueda del producto seleccionado
    public function obtenerenlace ($id){
      $this->db->select('*');
      $this->db->join('productosgenerales','ProductosGenerales_IdProductosGenerales=IdProductosGenerales','inner');
      $this->db->where('IdProductosFranquicias', $id);
      $query=$this->db->get('productosfranquicias');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }


  //Consulta que hace la busqueda de los tipos de productos 
  public function BuscarTipo(){
     $query = $this->db-> query('SELECT IdTipoProducto,NombreTipoProducto FROM tipoproducto WHERE IdTipoProducto = 2'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoProducto, ENT_QUOTES)] = htmlspecialchars($row->NombreTipoProducto, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }


  //Consulta que hace la busqueda de la categoría de los producto
   public function BuscarCategoria(){
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

//Consulta que hace la busqueda de todos los productos registrados de tipo público
public function BuscarProducto(){
     $query = $this->db-> query('SELECT IdProductosGenerales,NombreProducto FROM productosgenerales WHERE TipoProducto_IdTipoProducto = 2'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdProductosGenerales, ENT_QUOTES)] = htmlspecialchars($row->NombreProducto, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

 //Consulta que hace la busqueda de la franquicia a la que pertenece el usuario logueado 
public function BuscarFranquicia(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

}
